Avoid running tests on java6 as checkstyle no longer supports java6
authorPeter Donald <peter@realityforge.org>
Sat, 6 Jun 2015 00:38:45 +0000 (10:38 +1000)
committerPeter Donald <peter@realityforge.org>
Sat, 6 Jun 2015 00:38:45 +0000 (10:38 +1000)
spec/addon/checkstyle_spec.rb

index a8a5d3f..29f1966 100644 (file)
@@ -14,6 +14,8 @@
 # the License.
 
 require File.expand_path('../spec_helpers', File.dirname(__FILE__))
+if Java.java.lang.System.getProperty('java.runtime.version') >= '1.7'
+
 Sandbox.require_optional_extension 'buildr/checkstyle'
 artifacts(Buildr::Checkstyle::dependencies).map(&:invoke)
 
@@ -55,3 +57,4 @@ describe Buildr::Checkstyle do
   end
 
 end
+end